%global srcname ufl

Name:           python-%{srcname}
Version:        1.4.0
Release:        2%{?dist}
Summary:        A compiler for finite element variational forms

License:        LGPLv3+
URL:            http://www.fenicsproject.org
Source0:        https://bitbucket.org/fenics-project/ufl/downloads/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
The Unified Form Language (UFL) is a domain specific language for declaration
of finite element discretizations of variational forms. More precisely, it
defines a flexible interface for choosing finite element spaces and defining
expressions for weak forms in a notation close to mathematical notation.

%package        demo
Summary:        Demo files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    demo
The %{name}-demo package contains demo files for %{name}.

%package        test
Summary:        Test files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       python-nose

%description    test
The %{name}-test package contains test files for %{name}.

%prep
%setup -q -n %{srcname}-%{version}
# Fix permissions
chmod +x test/test_*.py
chmod -x test/mock.py
# Remove shebang
sed -i -e '/^#!\//, 1d' test/ufltestcase.py
# Fix typo
sed -i -e 's|#!/use/bin/env|#!/usr/bin/env|g' test/test_measures.py

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
mkdir %{buildroot}%{python2_sitelib}/%{srcname}/demo/
install -Dp -m 0644 demo/* %{buildroot}%{python_sitelib}/%{srcname}/demo/
mkdir %{buildroot}%{python2_sitelib}/%{srcname}/test/
cp -R test/* %{buildroot}%{python2_sitelib}/%{srcname}/test/
chmod +x %{buildroot}%{python2_sitelib}/%{srcname}/demo/clean.sh

%files
%doc ChangeLog COPYING COPYING.LESSER README
%{_mandir}/man1/*.*
%{_bindir}/ufl*
%{_bindir}/form2ufl
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/UFL*.egg-info
%exclude %{python2_sitelib}/%{srcname}/demo/
%exclude %{python2_sitelib}/%{srcname}/test/

%files demo
%doc COPYING.LESSER
%{python2_sitelib}/%{srcname}/demo/

%files test
%doc COPYING.LESSER
%{python2_sitelib}/%{srcname}/test/

%changelog
* Thu Aug 14 2014 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.0-2
- Remove duplicate files
- Fix typo

* Thu Jul 31 2014 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.0-1
- Update python macros
- Update source URL
- Update to latest upstream release 1.4.0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 18 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.0-4
- License file added to subpackages
- Removed check section
- Other minor changes

* Fri Apr 13 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.0-3
- License issue fixed
- Test subpackage
- Demo subpackage

* Sun Mar 25 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.0-2
- Minor changes

* Sun Mar 04 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.0-1
- Updated to new upstream version 1.0.0

* Sat Mar 26 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.1-0.1.pre
- Initial package
